<button *ngIf="isLink$ | async" (click)="back()" class="button is-back-button"><img class="has-right-margin" src="assets/images/arrowback.png">Retour</button>
<ng-container *ngIf="Display$ | async">
  <app-title [title]="title"></app-title>
  <div *ngIf="!isMobile" class="tabs is-fullwidth">
      <ul>
        <li [style.borderColor]="currentColor" *ngFor="let item of modules; let i = index">
          <app-tab-item id="i" (click)="onClick(i)" [opacity]="modules[i].opacity" [backgroundColor]="modules[i].color" [matiere]="modules[i].text" [path]="'../assets/images/matières/'" [icon]="modules[i].name" [idModule]="i" [currentModule]="currentModule">
          </app-tab-item>
        </li>
      </ul>
  </div>

  <div *ngIf="isMobile" class="is-flex is-justify-center has-margin-top-1 has-margin-bottom-4">
    <div #Hola class="dropdown" (click)="test()">
      <div class="dropdown-trigger">
        <button [style.backgroundColor]="currentColor" class="button is-flex is-space-around is-not-default is-rounded is-big">
          <span [style.color]="'white'">{{modules[currentModule].text}}</span>
          <img [src]="getPath(modules[currentModule].name)"/>
        </button>
      </div>
      <div class="dropdown-menu" id="dropdown-menu" role="menu">
        <div class="dropdown-content">
          <div *ngFor="let item of modules; let i = index" id="i" (click)="onClick(i)"  [style.backgroundColor]="item.color" class="dropdown-item">
            <a class="is-a-dropdown is-flex">
              <span>{{item.text}}</span>
              <img class="align-vertical" [src]="getPath(item.name)"/>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div [className]="className">
    <table *ngIf="canDisplay$ | async" [className]="isMobile ? 'table font has-margin-left-1 has-margin-right-1' : 'table font-2 has-margin-left-1 size has-cursor-pointer'">
      <thead class="bloc size">
          <tr >
            <th [style.Color]="currentColor">État</th>
            <th [style.Color]="currentColor">Circuit</th>
            <th [style.Color]="currentColor"><img width="20px" class="align" [src]="getImgColor()">Meilleur temps</th>
            <th [style.Color]="currentColor"><img width="20px" class="align" [src]="getImgScore()">Meilleur score</th>
          </tr>
        </thead>
      <tbody>
          <tr #TR *ngFor="let circuit of circuits; let i = index" (click)="openEnigma(circuit.id, circuit.score, i)" class="bloc" [style.backgroundColor]="circuit.isSelected ? currentColor : 'transparent'" [style.color]="circuit.isSelected ? 'white' : currentColor">
            <td>
              <img [src]="path(circuit.roundImage, circuit.isSelected)">
            </td>
            <td>
                {{circuit.name}}
            </td>
            <td *ngIf="circuit.bestTime !== -1">
                {{circuit.time}}
            </td>
            <td *ngIf="circuit.bestTime === -1">
                --
            </td>
            <td *ngIf="circuit.bestScore !== 0">
                {{circuit.score}} %
            </td>
            <td *ngIf="circuit.bestScore === 0">
                --
            </td>
          </tr>
      </tbody>
    </table>
    <div *ngIf="!isMobile" class="is-flex is-column is-align-center">
      <button *ngIf="enigme" (click)="close()" class="button is-rounded is-back-button has-margin-bottom-1">
        Fermer
      </button>
      <table *ngIf="enigme" [className]="isMobile ? 'table font has-margin-left-1 has-margin-right-1' : 'table font-2 has-margin-left-1 size'">
        <tbody>
            <tr *ngFor="let circuit of listRooms" [style.Color]="currentColor" class="bloc">
              <td>
                  {{circuit.name}}
              </td>
              <td>
                  <button [style.backgroundColor]="currentColor" [style.Color]="'white'" class="button is-flex"><img width="20px" class="has-margin-right-1" src="../../assets/images/download.png"><a [style.Color]="'white'" href="../../assets/Mélange_1.pdf" download="Mélange_1.pdf">Télécharger</a></button>
              </td>
            </tr>
        </tbody>
      </table>
    </div>
    <div *ngIf="!isMobile" class="is-flex">
      <p *ngIf="notYet" [innerHTML]="text" class="warning"></p>
    </div>
  </div>

  <div #Stats class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
        <header [style.borderLeftColor]="currentColor" [style.borderRightColor]="currentColor"  [style.borderTopColor]="currentColor" class="modal-card-head">
        <div class="is-flex is-align-center justify-around">
            <p [style.Color]="currentColor" class="modal-card-title font-2">Listes des énigmes</p>
        <button (click)="Cancel()" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
        </div>

        </header>
        <section [style.borderLeftColor]="currentColor" [style.borderRightColor]="currentColor" [style.borderBottomColor]="currentColor" class="modal-card-body is-flex">
            <div class="is-flex">
              <p *ngIf="notYet" [innerHTML]="text" class="warning"></p>
            </div>
            <div *ngIf="!notYet" class="cut-mobile">
                <table class="table font-demi has-margin-left-1">
                    <thead class="bloc">
                        <tr >
                          <th [style.Color]="currentColor">Nom de l'énigme</th>
                          <th></th>
                        </tr>
                      </thead>
                    <tbody>
                        <tr *ngFor="let circuit of listRooms" [style.Color]="currentColor" class="bloc">
                            <td>
                                {{circuit.name}}
                            </td>
                            <td>
                                <button [style.backgroundColor]="currentColor" [style.Color]="'white'" class="button is-flex"><img width="20px" class="has-margin-right-1" src="../../assets/images/download.png"><a [style.Color]="'white'" href="../../assets/Mélange_1.pdf" download="Mélange_1.pdf">Télécharger</a></button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>

        </section>
    </div>
</div>

 
  <!-- <div id="listName">
  <p>Listes des énigmes: {{circuits.length}} / 40 réalisées </p>
  </div> -->

  <!-- Attention manque l'affichage des circuits qui sont à 100% -> l'image du rond est le roundcheck !!!!!-->
  <!-- <div *ngIf="canDisplay$ | async" class="has-left-margin">
    <app-item-list *ngFor="let circuit of circuits" [checkUncheck]="roundImg" [color]="currentColor" [iconScore]="scoreImg" [iconTime]="timeImg" [score]="circuit.score" [time]="circuit.time" [route]="circuit.name"></app-item-list>
  </div> -->
  
  <!-- <app-item-route [visibility]="'visible'" [round]="'round_M.png'" [text]="'totot'" [imgButton]="'zip.png'" [route]="'test'" [color]="'green'"></app-item-route> -->
  <loader *ngIf="isLoading$ | async" [textLoader]="'Patiente un peu...'"></loader>
  <div *ngIf="error$ | async" class="is-flex is-justify-center">
    <p class="is-error">Nous sommes désolés mais il semblerait que nous n'arrivions pas à charger les circuits !</p>
  </div>

  <!-- <a href="../../assets/Mélange_1.pdf" download="Mélange_1.pdf">TOto</a> -->
</ng-container>
